### Class

# Manette Monitor

#### Description [src]

    final class Manette.Monitor : GObject.Object
    {
      /* No available fields */
    }

An object monitoring the availability of devices.

See also: `ManetteDevice`.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### manette_monitor_new

Creates a new `ManetteMonitor`.

#### Instance methods

###### manette_monitor_iterate

Creates a new `ManetterMonitorIter` iterating on `self`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Manette.Monitor::device-connected

Emitted when `device` is connected.

###### Manette.Monitor::device-disconnected

Emitted when `device` is disconnected.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ManetteMonitorClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.